<?php
$pageLayout = get_theme_mod('upcp_theme_setting_page_layout', 'default');
global $post;
if(is_home()){
  $custom = get_post_custom($wp_query->queried_object->ID);
}
else{        
  $custom = get_post_custom($post->ID);
}
$pageSelectedLayout = $custom["_ustHeaderLayoutSelect"][0];
if($pageSelectedLayout == ''){$pageSelectedLayout = 'from_customizer';}
if (get_option("EWD_UPCP_Theme_404_Page_Title_Label") == "") {$Label_404_Page_Title = __("404", "ultimate-showcase");}
else {$Label_404_Page_Title = get_option("EWD_UPCP_Theme_404_Page_Title_Label");}
?>
        <?php if($pageSelectedLayout == 'default' or ($pageSelectedLayout == 'from_customizer' and $pageLayout == 'default')){ ?>
          <section class="titleArea">
            <div class="wrapper">
              <div class="container">
                <?php if(is_archive()){
                  the_archive_title( '<h1>', '</h1>' );
                }
                elseif(is_404()){ ?>
                  <h1><?php echo $Label_404_Page_Title; ?></h1>
                <?php }
                elseif(is_search()){ ?>
                  <h1><?php _e('Search Results', 'ultimate-showcase'); ?></h1>
                <?php }
                elseif(is_home()){ ?>
                  <h1><?php echo $wp_query->queried_object->post_title; ?></h1>
                <?php }
                else{ ?>
                  <h1><?php the_title(); ?></h1>
                <?php } ?>
                <div class="clear"></div>
                <?php get_template_part('inc/option', 'breadcrumbs') ?>
              </div> <!-- container -->
            </div> <!-- wrapper -->
          </section>
        <?php }
        if($pageSelectedLayout == 'banner_image' or ($pageSelectedLayout == 'from_customizer' and $pageLayout == 'banner_image')){
          if ( has_post_thumbnail() ){
            if(is_home()){
              $bannerImageUrl = wp_get_attachment_url( get_post_thumbnail_id($wp_query->queried_object->ID) );
            }
            else{
              $bannerImageUrl = get_the_post_thumbnail_url();
            }
            $bannerImageDisplay = ' style="background-image: url(' . $bannerImageUrl . '); background-size: cover; background-position: center center; background-repreat: no-repeat;"';
          }
          else{
            $bannerImageDisplay = '';
          } ?>
          <section class="titleBannerImage"<?php echo $bannerImageDisplay; ?>>
            <div class="wrapper">
              <div class="container">
                <?php if(is_archive()){
                  the_archive_title( '<h1>', '</h1>' );
                }
                elseif(is_404()){ ?>
                  <h1><?php echo $Label_404_Page_Title; ?></h1>
                <?php }
                elseif(is_search()){ ?>
                  <h1><?php _e('Search Results', 'ultimate-showcase'); ?></h1>
                <?php }
                elseif(is_home()){ ?>
                  <h1><?php echo $wp_query->queried_object->post_title; ?></h1>
                <?php }
                else{ ?>
                  <h1><?php the_title(); ?></h1>
                <?php } ?>
                <div class="clear"></div>
                <?php get_template_part('inc/option', 'breadcrumbs') ?>
              </div> <!-- container -->
            </div> <!-- wrapper -->
          </section>
        <?php }
        if($pageSelectedLayout == 'minimalist' or ($pageSelectedLayout == 'from_customizer' and $pageLayout == 'minimalist')){ ?>
          <section class="minimalistTitleArea">
            <div class="wrapper">
              <div class="container">
                <?php if(is_archive()){
                  the_archive_title( '<h1>', '</h1>' );
                }
                elseif(is_404()){ ?>
                  <h1><?php echo $Label_404_Page_Title; ?></h1>
                <?php }
                elseif(is_search()){ ?>
                  <h1><?php _e('Search Results', 'ultimate-showcase'); ?></h1>
                <?php }
                elseif(is_home()){ ?>
                  <h1><?php echo $wp_query->queried_object->post_title; ?></h1>
                <?php }
                else{ ?>
                  <h1><?php the_title(); ?></h1>
                <?php } ?>
                <div class="clear"></div>
                <?php get_template_part('inc/option', 'breadcrumbs') ?>
              </div> <!-- container -->
            </div> <!-- wrapper -->
          </section>
        <?php }
