jQuery(document).ready(function(){
	jQuery('.ewd-us-meta-menu-item').on('click', function() {
		var ID = jQuery(this).attr('id');
		var ID_Base = ID.substring(5);

		jQuery(".ewd-us-meta-body").each(function() {
			jQuery(this).addClass("ewd-us-hidden");
		});
		jQuery('#Body_'+ID_Base).removeClass("ewd-us-hidden");
	
		jQuery(".ewd-us-meta-menu-item").each(function() {
			jQuery(this).removeClass("meta-menu-tab-active");
		});
		jQuery(this).addClass("meta-menu-tab-active");
	});
});

jQuery(document).ready(function() {
	SetButtonDeleteHandlers();
	SetButtonDisableHandlers();

	jQuery('.ewd-us-add-button-list-item').on('click', function(event) {
		var ID = jQuery(this).data('nextid');

		var HTML = "<tr id='ewd-us-button-list-item-" + ID + "'>";
		HTML += "<td><a class='ewd-us-delete-button-list-item' data-buttonid='" + ID + "'>Delete</a></td>";
		HTML += "<td><input type='text' name='Button_List_" + ID + "_Text'></td>";
		HTML += "<td><select name='Button_List_" + ID + "_Post_ID' class='ewd-us-post-select' id='ewd-us-post-select-" + ID + "'><option value='0'>Custom Link</option></select></td>";
		HTML += "<td><input type='text' name='Button_List_" + ID + "_Custom_Link' id='ewd-us-post-link-" + ID + "'></td>";
		HTML += "</tr>";

		//jQuery('table > tr#ewd-uasp-add-reminder').before(HTML);
		jQuery('#ewd-us-buttons-list-table tr:last').before(HTML);

		AJAXPostIDs("#ewd-us-post-select-" + ID);

		ID++;
		jQuery(this).data('nextid', ID); //updates but doesn't show in DOM

		SetButtonDeleteHandlers();
		SetButtonDisableHandlers();

		event.preventDefault();
	});
});

function SetButtonDeleteHandlers() {
	jQuery('.ewd-us-delete-button-list-item').on('click', function(event) {
		var ID = jQuery(this).data('buttonid');
		var tr = jQuery('#ewd-us-button-list-item-'+ID);

		tr.fadeOut(400, function(){
            tr.remove();
        });

		event.preventDefault();
	});
}

function SetButtonDisableHandlers() {
	jQuery('.ewd-us-post-select').on('change', function() {
		var Full_ID = jQuery(this).attr('id');
		var ID = Full_ID.substring(19);

		if (jQuery(this).val() != 0) {
			jQuery('#ewd-us-post-link-'+ID).prop('disabled', true);
		}
		else {
			jQuery('#ewd-us-post-link-'+ID).prop('disabled', false);
		}
	})
}

function AJAXPostIDs(selectID) {
	var data = '&action=ewd_us_get_post_ids';
    jQuery.post(ajaxurl, data, function(response) {
		response = response.substring(0, response.length - 1);
		var posts_array = jQuery.parseJSON(response);
		jQuery(posts_array).each(function(index, post) {
			//console.log('post', post);
			jQuery(selectID).append("<option value='"+post.ID+"'>"+post.Name+"</option>");
		});
    });
}