<?php
/* Main template file */
get_header();
$blogSidebar = get_theme_mod('upcp_theme_setting_blog_sidebar', 'yes');
$blogLayout = get_theme_mod('upcp_theme_setting_blog_layout', 'default');
get_template_part('inc/part', 'single_page_clear');
global $singlePageClear;
?>

		<div class="singlePage<?php echo $singlePageClear; ?>">
			<?php get_template_part('inc/part', 'title_area'); ?>
			<div class="clear"></div>
			<?php upcp_theme_do_extras(); ?>
			<section class="panel">
				<div class="wrapper">
					<div class="container">
						<?php if($blogSidebar == 'yes'){ ?><section class="pageWithSidebarContent"><?php } ?>
							<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
								<?php if($blogLayout == 'thumbnail'){ ?>
									<div id="post-<?php the_ID(); ?>" <?php post_class('archivePost thumbnailBlogLayout'); ?>>
								<?php }
								elseif($blogLayout == 'image'){ ?>
									<div id="post-<?php the_ID(); ?>" <?php post_class('archivePost imageBlogLayout'); ?>>
								<?php }
								else{ ?>
									<div id="post-<?php the_ID(); ?>" <?php post_class('archivePost'); ?>>
								<?php } ?>
									<?php if($blogLayout == 'default'){ ?>
										<h2 class="archiveH2"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
									<?php } ?>
									<?php if ( has_post_thumbnail() ){ ?>
										<div class="thumbnailImage"><?php the_post_thumbnail(); ?></div>
									<?php } ?>
									<?php if($blogLayout == 'default'){ the_excerpt(); } ?>
									<?php if($blogLayout != 'default'){ ?>
										<div class="archivePostTextArea">
											<div class="clear"></div>
											<h2 class="archiveH2under"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
											<?php the_excerpt(); ?>
										</div> <!-- archivePostTextArea -->
									<?php } // end if layout isn't default ?>
								</div> <!-- archivePost -->
							<?php endwhile;
							the_posts_pagination( array(
								'prev_text'          => __( 'Previous page', 'ultimate-showcase' ),
								'next_text'          => __( 'Next page', 'ultimate-showcase' ),
								'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'ultimate-showcase' ) . ' </span>',
							) );
							else: ?>
								<p><?php _e('Sorry, no content matched your criteria.', 'ultimate-showcase'); ?></p>
							<?php endif; ?>
							<?php if($blogSidebar == 'yes'){ ?>
								</section> <!-- pageWithSidebarContent -->
								<?php get_sidebar('blog');
							} ?>
					</div> <!-- container -->
				</div> <!-- wrapper -->
			</section>
		</div> <!-- singlePage -->

		<div class="clear"></div>

<?php
get_footer();
?>
