<?php
/* Main template file */
get_header();
$blogSidebar = get_theme_mod('upcp_theme_setting_blog_sidebar', 'yes');
$blogLayout = get_theme_mod('upcp_theme_setting_blog_layout', 'default');
get_template_part('inc/part', 'single_page_clear');
global $singlePageClear;
?>

		<div class="singlePage<?php echo $singlePageClear; ?>">
			<?php get_template_part('inc/part', 'title_area'); ?>
			<div class="clear"></div>
			<?php upcp_theme_do_extras(); ?>
			<section class="panel">
				<div class="wrapper">
					<div class="container">
						<?php if($blogSidebar == 'yes'){ ?><section class="pageWithSidebarContent"><?php } ?>
							<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
								<div class="archivePost<?php echo ( $blogLayout == 'thumbnail' ? ' thumbnailBlogLayout' : '' ); ?><?php echo ( $blogLayout == 'image' ? ' imageBlogLayout' : '' ); ?>">
									<?php if($blogLayout == 'default'){ ?>
										<h2 class="archiveH2"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
										<p style="margin-bottom: 16px;">
											<?php echo __('Posted by', 'ultimate-showcase') . ' <a href="' . get_author_posts_url( get_the_author_meta( 'ID' ) ) . '">' . get_the_author() . '</a> ' . __('on', 'ultimate-showcase') . ' ' . get_post_time('F j, Y') . ' ' . __('in', 'ultimate-showcase') . ' ' . get_the_category_list( ', ' ); ?>
										</p>
										<div class="clear"></div>
									<?php } ?>
									<?php if ( has_post_thumbnail() ){ ?>
										<div class="thumbnailImage"><a href="<?php the_permalink(); ?>"><?php the_post_thumbnail(); ?></a></div>
									<?php } ?>
									<?php if($blogLayout == 'default'){ the_excerpt(); } ?>
									<?php if($blogLayout != 'default'){ ?>
										<div class="archivePostTextArea">
											<div class="clear"></div>
											<h2 class="archiveH2under"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
											<p style="margin-bottom: 16px;">
												<?php echo __('Posted by', 'ultimate-showcase') . ' <a href="' . get_author_posts_url( get_the_author_meta( 'ID' ) ) . '">' . get_the_author() . '</a> ' . __('on', 'ultimate-showcase') . ' ' . get_post_time('F j, Y') . ' ' . __('in', 'ultimate-showcase') . ' ' . get_the_category_list( ', ' ); ?>
											</p>
											<div class="clear"></div>
											<?php the_excerpt(); ?>
										</div> <!-- archivePostTextArea -->
									<?php } // end if layout isn't default ?>
								</div> <!-- archivePost -->
							<?php endwhile; else: ?>
								<p><?php _e('Sorry, no content matched your criteria.', 'ultimate-showcase'); ?></p>
							<?php endif; ?>
						<?php if($blogSidebar == 'yes'){ ?>
							</section> <!-- pageWithSidebarContent -->
							<?php get_sidebar('blog');
						} ?>
					</div> <!-- container -->
				</div> <!-- wrapper -->
			</section>
		</div> <!-- singlePage -->

		<div class="clear"></div>

<?php
get_footer();
?>
