<?php
/* Template Name: With Bottom Widget Area */
get_header();
get_template_part('inc/part', 'single_page_clear');
global $singlePageClear;
?>

		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
			<div class="singlePage<?php echo $singlePageClear; ?>">
				<?php get_template_part('inc/part', 'title_area'); ?>
				<div class="clear"></div>
				<?php upcp_theme_do_extras(); ?>
				<section class="panel">
					<div class="wrapper">
						<div class="container">
							<?php get_template_part('inc/part', 'page_thumbnail'); ?>
							<?php the_content(); ?>
							<div class="clear"></div>
							<div class="pageTemplateWidgetArea pageBottomWidgetArea">
								<?php if ( dynamic_sidebar('page_bottom_widgets') ) : else : endif; ?>
							</div>
							<div class="clear"></div>
							<?php wp_link_pages(); ?>
							<?php edit_post_link(__('Edit', 'ultimate-showcase'), '<p>', '</p>'); ?>
						</div> <!-- container -->
					</div> <!-- wrapper -->
				</section>
			</div> <!-- singlePage -->
		<?php endwhile; else: ?>
			<p><?php _e('Sorry, no content matched your criteria.', 'ultimate-showcase'); ?></p>
		<?php endif; ?>

		<div class="clear"></div>

<?php
get_footer();
?>
